bsslap.h File Reference
3GPP TS 48.071 BSS LCS Assistance Protocol (BSSLAP).

Message encoding and decoding for 3GPP TS 48.071 BSS LCS Assistance Protocol (BSSLAP). More...

`#include <osmocom/gsm/protocol/gsm_48_071.h>`
`#include <osmocom/gsm/protocol/gsm_49_031.h>`

Go to the source code of this file.

## Data Structures

struct | osmo_bsslap_err

## Functions

static const char * | osmo_bsslap_msgt_name (enum bsslap_msgt val)
static const char * | osmo_bsslap_iei_name (enum bsslap_iei val)
int | osmo_bsslap_enc (struct msgb *msg, const struct bsslap_pdu *pdu)
| Encode BSSLAP PDU and append to msgb (3GPP TS 48.071). More...
int | osmo_bsslap_dec (struct bsslap_pdu *pdu, struct osmo_bsslap_err **err, void *err_ctx, const uint8_t *data, size_t len)
| Decode BSSLAP PDU (3GPP TS 48.071). More...

## Variables

const struct value_string | osmo_bsslap_msgt_names []
const struct value_string | osmo_bsslap_iei_names []

## Detailed Description

Message encoding and decoding for 3GPP TS 48.071 BSS LCS Assistance Protocol (BSSLAP).